# Blockchain By Example

<a href="https://www.packtpub.com/big-data-and-business-intelligence/blockchain-example?utm_source=github&utm_medium=repository&utm_campaign=9781788475686 "><img src="https://d1ldz4te4covpm.cloudfront.net/sites/default/files/imagecache/ppv4_main_book_cover/B08754.png" alt="Blockchain By Example" height="256px" align="right"></a>

This is the code repository for [Blockchain By Example](https://www.packtpub.com/big-data-and-business-intelligence/blockchain-example?utm_source=github&utm_medium=repository&utm_campaign=9781788475686), published by Packt.

**A developer's guide to creating decentralized applications using Bitcoin, Ethereum, and Hyperledger**

## What is this book about?
The Blockchain is a revolution promising a new world without middlemen. Technically, it is an immutable and tamper-proof distributed ledger of all transactions across a peer-to-peer network. With this book, you will get to grips with the blockchain ecosystem to build real-world projects.

This book covers the following exciting features:
* Grasp decentralized technology fundamentals to master blockchain principles 
* Build blockchain projects on Bitcoin, Ethereum, and Hyperledger 
* Create your currency and a payment application using Bitcoin 
* Implement decentralized apps and supply chain systems using Hyperledger 
* Write smart contracts, run your ICO, and build a Tontine decentralized app using Ethereum

If you feel this book is for you, get your [copy](https://www.amazon.com/dp/1788475682) today!

<a href="https://www.packtpub.com/?utm_source=github&utm_medium=banner&utm_campaign=GitHubBanner"><img src="https://raw.githubusercontent.com/PacktPublishing/GitHub/master/GitHub.png" 
alt="https://www.packtpub.com/" border="5" /></a>

## Instructions and Navigations
All of the code is organized into folders. For example, Chapter02.

The code will look like the following:
```
var bitcoin = require('bitcoinjs-lib');
var rp = require('request-promise');
```

**Following is what you need for this book:**
If you are keen on learning how to build your own blockchain decentralized applications from scratch, then this book is for you. It explains all the basic concepts required to develop intermediate projects and will teach you to implement the building blocks of a blockchain ecosystem.

With the following software and hardware list you can run all code files present in the book (Chapter 1-11).
### Software and Hardware List
| Chapter | Software required | OS required |
| -------- | ------------------------------------ | ----------------------------------- |
| 1 | Bitcoin core, Electrum client | Machine with 4 GB RAM and Ubuntu OS |
| 2 | NodeJs, bitcore-lib, Eclipse IDE, Java 8, Git | Machine with 4 GB RAM and Ubuntu OS |
| 3 | Bower, BitcoinJ, Python 2.7, Qt Designer, Cpuminer, Iquidus | Machine with 4 GB RAM and Ubuntu OS |
| 4 | Remix IDE, Ganache, geth | Machine with 4 GB RAM and Ubuntu OS |
| 5, 7 | Truffle | Machine with 4 GB RAM and Ubuntu OS |
| 6, 8 | Quorum | Machine with 4 GB RAM and Ubuntu OS |
| 9 | IPFS, SWARM | Machine with 4 GB RAM and Ubuntu OS |
| 10 | Hyperledger Fabric | Machine with 4 GB RAM and Ubuntu OS |
| 11 | Hyperledger Composer | Machine with 4 GB RAM and Ubuntu OS |

We also provide a PDF file that has color images of the screenshots/diagrams used in this book. [Click here to download it](https://www.packtpub.com/sites/default/files/downloads/9781788475686_ColorImages. pdf).

### Related products
* Blockchain for Enterprise [[Packt]](https://www.packtpub.com/big-data-and-business-intelligence/blockchain-enterprise?utm_source=github&utm_medium=repository&utm_campaign=9781788479745) [[Amazon]](https://www.amazon.com/dp/1788479742)

* Hands-On Blockchain with Hyperledger [[Packt]](https://www.packtpub.com/big-data-and-business-intelligence/hands-blockchain-hyperledger?utm_source=github&utm_medium=repository&utm_campaign=9781788994521) [[Amazon]](https://www.amazon.com/dp/1788994523)

## Get to Know the Authors
**Bellaj Badr**
is an experienced security and software engineer who loves blockchain with a passion. Currently, he is the CTO at Mchain, a blockchain start-up that develops blockchain solutions for companies. 

Alongside his role as CTO, he acts as technical consultant, offering strategic and technical consulting to many companies worldwide. Aside from this, he is involved in many blockchain projects involving the establishment of new blockchain business-oriented protocols. Badr is a frequent speaker at developer conferences and is father to two angels.

**Richard Horrocks**
is a freelance Ethereum and full-stack developer based in the UK, and holds a BA and MSc in natural sciences from the University of Cambridge. He worked for many years as a technical lead for Cisco Systems, where he worked on the operating systems of carrier grade routing hardware, before leaving the world of IT to work as an English teacher.

The advent of cryptocurrency piqued his interest sufficiently to lead him back to IT, and, since 2015, he has been working with Ethereum and other cryptocurrencies. His specialist interests are cryptoeconomics and incentive layers, with a particular focus on mechanism design and token engineering.

When not in front of a computer, he enjoys yoga and falling off motorbikes.

**Xun (Brian) Wu**
is the founder and CEO of SmartChart. He has 16+ years of extensive, hands-on, design and development experience with blockchain, big data, cloud, UI, and system infrastructure. He has coauthored a number of books, including Seven NoSQL Databases in a Week, Hyperledger Cookbook, and Blockchain Quick Start Guide. He has been a technical reviewer on more than 50 technical books for Packt. He serves as a board adviser for several blockchain start-ups and owns several patents on blockchain. Brian also holds an NJIT computer science masters degree. He lives in New Jersey with his two beautiful daughters, Bridget and Charlotte.

## Other books by the authors
* [Seven NoSQL Databases in a Week](https://www.packtpub.com/big-data-and-business-intelligence/seven-nosql-databases-week#utm_source=github&utm_medium=repository&utm_campaign=9781787288867)
### Suggestions and Feedback
[Click here](https://docs.google.com/forms/d/e/1FAIpQLSdy7dATC6QmEL81FIUuymZ0Wy9vH1jHkvpY57OiMeKGqib_Ow/viewform) if you have any feedback or suggestions.



